# Packmangroup: Multimedia
# Packmanpackagename: mad
# Packman: Rainer Lay
# Packmandepends: 
#
# spec file for package mad (Version 0.15.1b)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm

Name:         mad
Summary:      An MPEG audio decoder library
Version:      0.15.1b
Release:      30.pm.0
Group:        System/Libraries
License:      GPL
URL:          http://www.underbit.com/products/mad/

Source0:        libmad-0.15.1b.tar.bz2

Patch:        mad-automake-fix.dif
BuildRoot: 	%{_tmppath}/buildroot-%{name}-%{version}
Distribution:	SuSE Linux 9.3 (i586)

%description
MAD is a high-quality MPEG audio decoder. It currently supports MPEG-1
and the MPEG-2 extension to Lower Sampling Frequencies, as well as the
so-called MPEG 2.5 format. All three audio layers (Layer I, Layer II,
and Layer III a.k.a. MP3) are fully implemented.

MAD supports high quality 24-bit PCM output for modern audio
technologies. MAD computes using 100% fixed-point (integer)
computation, so you can run it without a floating point unit.



Authors:
--------
    Underbit Technologies, Inc. <support@underbit.com>

%package devel
Summary:      Development Package for mad
Group:        Development/Libraries/C and C++
Requires:     mad

%description devel
This package contains the header files and static libraries needed to
develop applications with libmad.



Authors:
--------
    Underbit Technologies, Inc. <support@underbit.com>

%prep
%setup -n libmad-%{version}
%patch

%build
%{?suse_update_config:%{suse_update_config -f}}
autoreconf -fi
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{_prefix} --mandir=%{_mandir} \
  --libdir=%{_libdir}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%post
%run_ldconfig

%postun
%run_ldconfig

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES COPYING COPYRIGHT CREDITS README TODO VERSION
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.*a
%{_libdir}/*.so

%changelog -n mad
* Thu Feb 26 2004 - tiwai@suse.de
- updated to version 0.15.1b.
- fixed for autoreconf.
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig to %%postun
* Thu Jul 03 2003 - tiwai@suse.de
- updated to version 0.15.0b.
- split to sub-packages: mad, madplay and libid3tag (and their
  devel packages, too).
* Fri May 16 2003 - ro@suse.de
- fix build with gperf-3.0
* Fri Dec 06 2002 - coolo@suse.de
- less undefined symbols
- correcting needforbuild
* Mon Sep 23 2002 - tiwai@suse.de
- added the missing alsa-devel to neededforbuild.
* Fri Sep 20 2002 - tiwai@suse.de
- added alsa to neededforbuild.  now esound requires it.
* Mon Jul 29 2002 - tiwai@suse.de
- added %%run_ldconfig.
* Tue Jun 18 2002 - meissner@suse.de
- rerun auto*, fixed configure.in problems
* Tue Apr 23 2002 - tiwai@suse.de
- fixed build on 64bit architectures, using __libdir.
* Thu Feb 07 2002 - tiwai@suse.de
- fixed build on s390x.
* Fri Jan 04 2002 - tiwai@suse.de
- updated to version 0.14.2b.
  madplay supports esd and cdda output now.
- added forgotten bin files to filelist.
* Tue Oct 23 2001 - tiwai@suse.de
- initial version: 0.14.1b.
